> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Typebot

> Start typebot



## OpenAPI

````yaml openapi-v2 POST /typebot/update/:typebotId/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /typebot/update/:typebotId/{instance}:
    post:
      tags:
        - Typebot Controller
      summary: Change Typebot Status
      description: Start typebot
      operationId: changeTypebotStatus
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
        - name: typebotId
          in: path
          required: true
          description: ID of the typebot
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - enabled
                - url
                - typebot
                - expire
                - keywordFinish
                - delayMessage
                - unknownMessage
                - listeningFromMe
                - stopBotFromMe
                - keepOpen
                - debounceTime
                - triggerType
                - triggerOperator
                - triggerValue
              properties:
                enabled:
                  type: boolean
                  description: Enable typebot
                url:
                  type: string
                  description: Url of typebot
                typebot:
                  type: string
                  description: Nmae typebot
                expire:
                  type: number
                  description: Time to expire session
                keywordFinish:
                  type: string
                  description: Keyword to finished session
                delayMessage:
                  type: number
                  description: Delay when the bot send message
                unknownMessage:
                  type: string
                  description: Unrecognized message
                listeningFromMe:
                  type: boolean
                  description: Listening message for me
                stopBotFromMe:
                  type: boolean
                  description: Stop bot when I send message
                keepOpen:
                  type: boolean
                  description: Keep session open
                debounceTime:
                  type: number
                  description: The timestamp of the message.
                triggerType:
                  type: string
                  description: All or keyword
                triggerOperator:
                  type: string
                  description: >-
                    Operator logic, ex: contains, equals, startsWith, endsWith,
                    regex
                triggerValue:
                  type: string
                  description: 'Ex: evolution'
      responses:
        '200':
          description: Ok
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````